Last Comment Bug 697121 - Handle search entry focus properly when switching tabs
: Handle search entry focus properly when switching tabs
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P1 normal (vote)
: ---
Assigned To: Lucas Rocha (:lucasr)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 08:24 PDT by Lucas Rocha (:lucasr)
Modified: 2012-01-09 11:48 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Keep focus on entry while typing on AwesomeBar (1.49 KB, patch)
2011-10-28 02:57 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Splinter Review

Description Lucas Rocha (:lucasr) 2011-10-25 08:24:21 PDT
* When awesome bar is initially shown, the search entry should be focused and VKB should be visible;
* When switching tabs, VBK should be dismissed;
* If user clicks on search entry and starts typing while viewing bookmarks or history tab, the tabs should hide and the "All Pages" tab should be automatically selected.
Comment 1 Lucas Rocha (:lucasr) 2011-10-28 02:57:46 PDT
Created attachment 570211 [details] [diff] [review]
Keep focus on entry while typing on AwesomeBar

The first two items of the list above are already fixed. The only remaining issue was tabs stealing focus from entry which is fixed by this patch.
Comment 2 Lucas Rocha (:lucasr) 2011-10-28 08:10:29 PDT
Pushed: http://hg.mozilla.org/projects/birch/rev/0b65a47a160c
Comment 3 Camelia Urian 2011-11-24 02:56:25 PST
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:11.0a1) Gecko/20111123 Firefox/11.0a1 Fennec/11.0a1
Device: HTC Desire Z
OS: Android 2.3

- The first two items work correctly
- About the 3rd item: when clicking on the search entry and typing "tabs" are hidden and "All Pages" screen is displayed, but another issue appears here: after 1 character is typed, the virtual keyboard is dismissed and user need to click on the search entry again to open keyboard.

Will log a new bug for this issue and close this one.
Comment 4 Camelia Urian 2011-11-24 05:18:15 PST
Bug #705105 was logged for issue from comment 3

Note You need to log in before you can comment on or make changes to this bug.